summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/gtklp/README5
-rw-r--r--system/gtklp/gtklp.SlackBuild90
-rw-r--r--system/gtklp/gtklp.desktop9
-rw-r--r--system/gtklp/gtklp.info10
-rw-r--r--system/gtklp/gtklp.pngbin0 -> 2425 bytes
-rw-r--r--system/gtklp/gtklpq.desktop9
-rw-r--r--system/gtklp/gtklpq.pngbin0 -> 2325 bytes
-rw-r--r--system/gtklp/slack-desc19
8 files changed, 142 insertions, 0 deletions
diff --git a/system/gtklp/README b/system/gtklp/README
new file mode 100644
index 0000000000..21f9315fb4
--- /dev/null
+++ b/system/gtklp/README
@@ -0,0 +1,5 @@
+GtkLP and GtkLPQ are GUI tools for the use and administration of CUPS.
+They are free under the GNU General Public License (GPL).
+
+You may set the maximum number of supported printers by passing the
+MAXPRINTERS variable (defaults to 150) to the script.
diff --git a/system/gtklp/gtklp.SlackBuild b/system/gtklp/gtklp.SlackBuild
new file mode 100644
index 0000000000..237e4bbf2f
--- /dev/null
+++ b/system/gtklp/gtklp.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for gtklp
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=gtklp
+VERSION=${VERSION:-1.2.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
+ --enable-static=no \
+ --enable-shared=yes \
+ --build=$ARCH-slackware-linux \
+ --with-maxprinters=${MAXPRINTERS:-150} # Maximum number of supportd printers
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Install menu entries:
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/{gtklp.desktop,gtklpq.desktop} $PKG/usr/share/applications
+cp $CWD/{gtklp.png,gtklpq.png} $PKG/usr/share/pixmaps
+chown -R root:root $PKG/usr/share/{applications,pixmaps}
+chmod 0644 $PKG/usr/share/{applications/*.desktop,pixmaps/*.png}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COMPILING COPYING ChangeLog NEWS README* TODO USAGE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gtklp/gtklp.desktop b/system/gtklp/gtklp.desktop
new file mode 100644
index 0000000000..785ecde90d
--- /dev/null
+++ b/system/gtklp/gtklp.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=GtkLP
+Comment=CUPS printing and administration frontend
+Exec=gtklp %f
+Icon=gtklp
+Terminal=false
+Type=Application
+Categories=GTK;GNOME;System;
+StartupNotify=true
diff --git a/system/gtklp/gtklp.info b/system/gtklp/gtklp.info
new file mode 100644
index 0000000000..dcbc526ca7
--- /dev/null
+++ b/system/gtklp/gtklp.info
@@ -0,0 +1,10 @@
+PRGNAM="gtklp"
+VERSION="1.2.8"
+HOMEPAGE="http://gtklp.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/gtklp/gtklp/1.2.8/gtklp-1.2.8.src.tar.gz"
+MD5SUM="65c7089140b5f8e2a0b282b3083b78ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"
diff --git a/system/gtklp/gtklp.png b/system/gtklp/gtklp.png
new file mode 100644
index 0000000000..7ba5cb6939
--- /dev/null
+++ b/system/gtklp/gtklp.png
Binary files differ
diff --git a/system/gtklp/gtklpq.desktop b/system/gtklp/gtklpq.desktop
new file mode 100644
index 0000000000..0225bc5634
--- /dev/null
+++ b/system/gtklp/gtklpq.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=GtkLPQ
+Comment=CUPS printer queue manager
+Exec=gtklpq
+Icon=gtklpq
+Terminal=false
+Type=Application
+Categories=GTK;GNOME;System;
+StartupNotify=true
diff --git a/system/gtklp/gtklpq.png b/system/gtklp/gtklpq.png
new file mode 100644
index 0000000000..cf7d94a6e1
--- /dev/null
+++ b/system/gtklp/gtklpq.png
Binary files differ
diff --git a/system/gtklp/slack-desc b/system/gtklp/slack-desc
new file mode 100644
index 0000000000..ecf0770cb9
--- /dev/null
+++ b/system/gtklp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+gtklp: gtklp (GUI for lp and lpq)
+gtklp:
+gtklp: GtkLP and GtkLPQ are GUI tools for the use and administration of CUPS.
+gtklp: They are free under the GNU General Public License (GPL).
+gtklp:
+gtklp: Homepage: http://gtklp.sourceforge.net
+gtklp:
+gtklp:
+gtklp:
+gtklp:
+gtklp: